package com.hai.common.pay.entity;
/**
 *
 * @Description: 微信支付异步回调参数
 */
public class WechatPayReturnParam {
    private String appid;	       //是	String(32)	wx8888888888888888	微信开放平台审核通过的应用APPID
    private String	attach;	        //否	String(128)	123456	商家数据包，原样返回
    private String	bank_type;	   //是	String(16)	CMC	银行类型，采用字符串类型的银行标识，银行类型见银行列表
    private String	cash_fee;	   //是	Int	100	现金支付金额订单现金支付金额，详见支付金额
    private String	fee_type;	   //否	String(8)	CNY	货币类型，符合ISO4217标准的三位字母代码，默认人民币：CNY，其他值列表详见货币类型
    private String	is_subscribe;  //是	String(1)	Y	用户是否关注公众账号，Y-关注，N-未关注
    private String mch_id;	       //是	String(32)	1900000109	微信支付分配的商户号
    private String nonce_str;	   //是	String(32)	5K8264ILTKCH16CQ2502SI8ZNMTM67VS	随机字符串，不长于32位
    private String openid;	       //是	String(128)	wxd930ea5d5a258f4f	用户在商户appid下的唯一标识
    private String	out_trade_no;	//是	String(32)	1212321211201407033568112322	商户系统内部订单号，要求32个字符内，只能是数字、大小写字母_-|*@ ，且在同一个商户号下唯一。
    private String	result_code;   //是	String(16)	SUCCESS	SUCCESS/FAIL
    private String return_code;
    private String	time_end;	    //是	String(14)	20141030133525	支付完成时间，格式为yyyyMMddHHmmss，如2009年12月25日9点10分10秒表示为20091225091010。其他详见时间规
    private String	total_fee;	   //是	Int	100	订单总金额，单位为分
    private String	trade_type;	   //是	String(16)	APP	APP
    private String transaction_id;  //微信支付订单号

    public String getAppid() {
        return appid;
    }

    public void setAppid(String appid) {
        this.appid = appid;
    }

    public String getAttach() {
        return attach;
    }

    public void setAttach(String attach) {
        this.attach = attach;
    }

    public String getBank_type() {
        return bank_type;
    }

    public void setBank_type(String bank_type) {
        this.bank_type = bank_type;
    }

    public String getCash_fee() {
        return cash_fee;
    }

    public void setCash_fee(String cash_fee) {
        this.cash_fee = cash_fee;
    }

    public String getFee_type() {
        return fee_type;
    }

    public void setFee_type(String fee_type) {
        this.fee_type = fee_type;
    }

    public String getIs_subscribe() {
        return is_subscribe;
    }

    public void setIs_subscribe(String is_subscribe) {
        this.is_subscribe = is_subscribe;
    }

    public String getMch_id() {
        return mch_id;
    }

    public void setMch_id(String mch_id) {
        this.mch_id = mch_id;
    }

    public String getNonce_str() {
        return nonce_str;
    }

    public void setNonce_str(String nonce_str) {
        this.nonce_str = nonce_str;
    }

    public String getOpenid() {
        return openid;
    }

    public void setOpenid(String openid) {
        this.openid = openid;
    }

    public String getOut_trade_no() {
        return out_trade_no;
    }

    public void setOut_trade_no(String out_trade_no) {
        this.out_trade_no = out_trade_no;
    }

    public String getResult_code() {
        return result_code;
    }

    public void setResult_code(String result_code) {
        this.result_code = result_code;
    }

    public String getReturn_code() {
        return return_code;
    }

    public void setReturn_code(String return_code) {
        this.return_code = return_code;
    }

    public String getTime_end() {
        return time_end;
    }

    public void setTime_end(String time_end) {
        this.time_end = time_end;
    }

    public String getTotal_fee() {
        return total_fee;
    }

    public void setTotal_fee(String total_fee) {
        this.total_fee = total_fee;
    }

    public String getTrade_type() {
        return trade_type;
    }

    public void setTrade_type(String trade_type) {
        this.trade_type = trade_type;
    }

    public String getTransaction_id() {
        return transaction_id;
    }

    public void setTransaction_id(String transaction_id) {
        this.transaction_id = transaction_id;
    }
}
